Skip to navigation

Update Template

Update a global template or create a channel-specific email template override.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

template-namestringRequired
The name of the email template.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global setting only.

Request

This endpoint expects an object.
bodystringRequired
subjectstringRequired
translationslist of objectsOptional
A collection of locale translations for the static language. Each email template supports translations for up to 20 locales per channel.

Response

OK
dataobjectOptional
Data for a particular email template
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error